Vulnerabilities > Devolutions

DATE CVE VULNERABILITY TITLE RISK
2022-07-07 CVE-2022-33996 Incorrect Default Permissions vulnerability in Devolutions Server
Incorrect permission management in Devolutions Server before 2022.2 allows a new user with a preexisting username to inherit the permissions of that previous user.
network
low complexity
devolutions CWE-276
6.5
2022-07-06 CVE-2022-2316 Cross-site Scripting vulnerability in Devolutions Server
HTML injection vulnerability in secure messages of Devolutions Server before 2022.2 allows attackers to alter the rendering of the page or redirect a user to another site.
3.5
2022-06-27 CVE-2022-2221 Insufficiently Protected Credentials vulnerability in Devolutions Remote Desktop Manager
Information Exposure vulnerability in My Account Settings of Devolutions Remote Desktop Manager before 2022.1.8 allows authenticated users to access credentials of other users.
network
low complexity
devolutions CWE-522
4.0
2022-06-21 CVE-2022-33995 Path Traversal vulnerability in Devolutions Remote Desktop Manager
A path traversal issue in entry attachments in Devolutions Remote Desktop Manager before 2022.2 allows attackers to create or overwrite files in an arbitrary location.
network
low complexity
devolutions CWE-22
5.0
2022-06-15 CVE-2022-1342 Insufficiently Protected Credentials vulnerability in Devolutions Remote Desktop Manager
A lack of password masking in Devolutions Remote Desktop Manager allows physically proximate attackers to observe sensitive data.
local
low complexity
devolutions CWE-522
2.1
2022-03-03 CVE-2022-23849 Improper Authentication vulnerability in Devolutions Password HUB
The biometric lock in Devolutions Password Hub for iOS before 2021.3.4 allows attackers to access the application because of authentication bypass.
local
low complexity
devolutions CWE-287
4.6
2021-10-18 CVE-2021-42098 Incorrect Default Permissions vulnerability in Devolutions Remote Desktop Manager
An incomplete permission check on entries in Devolutions Remote Desktop Manager before 2021.2.16 allows attackers to bypass permissions via batch custom PowerShell.
network
low complexity
devolutions CWE-276
6.5
2021-07-12 CVE-2021-36382 Insufficiently Protected Credentials vulnerability in Devolutions Server
Devolutions Server before 2021.1.18, and LTS before 2020.3.20, allows attackers to intercept private keys via a man-in-the-middle attack against the connections/partial endpoint (which accepts cleartext).
4.3
2021-04-01 CVE-2021-23925 Cross-site Scripting vulnerability in Devolutions Server
An issue was discovered in Devolutions Server before 2020.3.
4.3
2021-04-01 CVE-2021-23924 Information Exposure Through Log Files vulnerability in Devolutions Server
An issue was discovered in Devolutions Server before 2020.3.
network
low complexity
devolutions CWE-532
5.0